Subject: RE:Mechanism replacement #Ref 20250526003429261
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 27 May 2025 07:38:46 -0700

Hello Valerie,

Thank you for reaching out.

May I know your order number so we can check?

Sincerely,

Giselle

Designer Living Customer Service

[email-masked]

===============================================================================

I made a mistake and removed the Roman blind fabric from the strings in order to clean it. I didn’t know that the strings would coil up and the whole mechanism would become undone. How can I get a replacement just for the mechanism and strings for “

Madison Park Cordless Roman Shades, Total Blackout Window Blind Privacy Window Shades, Thermal Insulated Cordless Window Treatment for Bedroom, Living Room, Quincy, Single Panel 31" W X 64" L Linen”

Any help is appreciated. Thank you!

Valerie Day